tigase.component

## Class AbstractContext

- java.lang.Object
- - tigase.component.AbstractContext

- All Implemented Interfaces:
    Context

      public abstract class AbstractContext
      extends Object
      implements Context

  Abstract basic implementation of Context as delegator of AbstractComponent.
  Author:
    bmalkow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractContext(AbstractComponent<?> component)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.xmpp.JID` | `getComponentID()`
    `String` | `getComponentVersion()` Returns version of component.
    `String` | `getDiscoCategory()` Returns category of component.
    `String` | `getDiscoCategoryType()` Returns type of component.
    `String` | `getDiscoDescription()` Returns human readable component name.
    `EventBus` | `getEventBus()` Returns `EventBus`.
    `ModuleProvider` | `getModuleProvider()` Returns `ModuleProvider`.
    `PacketWriter` | `getWriter()` Returns `PacketWriter`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractContext

          public AbstractContext(AbstractComponent<?> component)

  - ### Method Detail

    - #### getComponentID

          public tigase.xmpp.JID getComponentID()

      Specified by:
        `getComponentID` in interface `Context`

    - #### getComponentVersion

          public String getComponentVersion()

      Description copied from interface: `Context`
      Returns version of component. Used for Service Discovery purposes.
      Specified by:
        `getComponentVersion` in interface `Context`
      Returns:
        version of component.

    - #### getDiscoCategory

          public String getDiscoCategory()

      Description copied from interface: `Context`
      Returns category of component. Used for Service Discovery purposes.
      Specified by:
        `getDiscoCategory` in interface `Context`
      Returns:
        category of component.

    - #### getDiscoCategoryType

          public String getDiscoCategoryType()

      Description copied from interface: `Context`
      Returns type of component. Used for Service Discovery purposes.
      Specified by:
        `getDiscoCategoryType` in interface `Context`
      Returns:
        type of component.

    - #### getDiscoDescription

          public String getDiscoDescription()

      Description copied from interface: `Context`
      Returns human readable component name. Used for Service Discovery purposes.
      Specified by:
        `getDiscoDescription` in interface `Context`
      Returns:
        name of component.

    - #### getEventBus

          public EventBus getEventBus()

      Description copied from interface: `Context`
      Returns `EventBus`.
      Specified by:
        `getEventBus` in interface `Context`
      Returns:
        `EventBus` instance.

    - #### getModuleProvider

          public ModuleProvider getModuleProvider()

      Description copied from interface: `Context`
      Returns `ModuleProvider`.
      Specified by:
        `getModuleProvider` in interface `Context`
      Returns:
        `ModuleProvider` instance.

    - #### getWriter

          public PacketWriter getWriter()

      Description copied from interface: `Context`
      Returns `PacketWriter`.
      Specified by:
        `getWriter` in interface `Context`
      Returns:
        `PacketWriter` instance.

Copyright © 2016 "Tigase, Inc.". All rights reserved.